@mixin text-shadow($color, $amount) {
	text-shadow: 1px 1px 0 transparentize($color, $amount);
}
@mixin box-shadow($type, $color, $amount) {
	 @if ($type == 'light'){
		box-shadow: 1px 1px 5px 0 transparentize($color, $amount);
	}
	@if ($type == 'medium') {
		box-shadow: 0px 5px 5px 0 transparentize($color, $amount);
	}
	@if ($type == 'high') {
		box-shadow: 1px 1px 5px 0 transparentize($color, $amount);
	}
}

._text-shadow-default {
	@include text-shadow($c-dark, .5);
}

._text-shadow-light {
	@include text-shadow($c-dark, .9);
}

._box-shadow-default {
	@include box-shadow(light, $c-dark, .5)
}

._box-shadow-light {
	@include box-shadow(light, $c-dark, .5)
}

._box-shadow-medium {
	@include box-shadow(medium, $c-dark, .5)
}

._box-shadow-high {
	@include box-shadow(high, $c-dark, .5)
}
